Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4729 closed defect (fixed)

Add 64bit address support to RTEMS FDT

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 6.1
Component: lib Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

RTEMS's FDT wrapper does not handle the reg property correctly. Update to handle 64bit register addresses.

Change History (5)

comment:1 Changed on 10/06/22 at 04:33:38 by Chris Johns

The calls rtems_fdt_prop_map and rtems_fdt_get_value change to return a table uintptr_t values.

comment:2 Changed on 10/10/22 at 00:30:12 by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"40eb58fd5e7f0480601b0a9c3f48756921726df7/rtems" 40eb58f/rtems]:

libmisc/rtems-fdt: Update to support 64bit addresses

  • Add support to get the parent address and size cells
  • Provide support to get a reg prop address map
  • Change getting a set of properties to uintptr_t
  • Improve the debug mode of the ls command to print all props

Closes #4729

comment:3 Changed on 10/11/22 at 01:40:36 by Chris Johns <chrisj@…>

In [changeset:"fe104e399aeaf376310ba752f05c1d8f08737062/rtems" fe104e39/rtems]:

libmisc/rtems-fdt: Fix missing error string

  • Coverity CID 1515930 issue

Updates #4729

comment:4 Changed on 10/14/22 at 02:33:37 by Chris Johns <chrisj@…>

In [changeset:"580a3a6817f9727f06b259571eaed075bf371d16/rtems" 580a3a6/rtems]:

libmisc/rtems-fdt: Fix return error values

Updates #4729

comment:5 Changed on 11/27/22 at 22:53:29 by Chris Johns <chrisj@…>

In [changeset:"408dbeb9225e1969113b81ad3ef484f351b9b4e3/rtems" 408dbeb/rtems]:

libmisc/rtems-fdt: Support prop map items up to the size of uintptr_t

Updates #4729

Note: See TracTickets for help on using tickets.